| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - a -

- A_f32 : arm_matrix_example_f32.c
- Ak : ARM/arm_convolution_example_f32.c , GCC/arm_convolution_example_f32.c
- ALIGN4 : arm_math.h
- arm_abs_f32() : arm_abs_f32.c , arm_math.h
- arm_abs_q15() : arm_abs_q15.c , arm_math.h
- arm_abs_q31() : arm_abs_q31.c , arm_math.h
- arm_abs_q7() : arm_abs_q7.c , arm_math.h
- arm_add_f32() : arm_add_f32.c , arm_math.h
- arm_add_q15() : arm_add_q15.c , arm_math.h
- arm_add_q31() : arm_add_q31.c , arm_math.h
- arm_add_q7() : arm_add_q7.c , arm_math.h
- arm_apply_guard_bits() : arm_matrix_example/ARM/math_helper.h , arm_signal_converge_example/ARM/math_helper.c , arm_signal_converge_example/ARM/math_helper.h , arm_convolution_example/ARM/math_helper.c , arm_convolution_example/ARM/math_helper.h , arm_convolution_example/GCC/math_helper.c , arm_convolution_example/GCC/math_helper.h , arm_fir_example/ARM/math_helper.c , arm_fir_example/ARM/math_helper.h , arm_graphic_equalizer_example/ARM/math_helper.c , arm_graphic_equalizer_example/ARM/math_helper.h , arm_linear_interp_example/ARM/math_helper.c , arm_linear_interp_example/ARM/math_helper.h , arm_matrix_example/ARM/math_helper.c
- ARM_MATH_ARGUMENT_ERROR : arm_math.h
- ARM_MATH_LENGTH_ERROR : arm_math.h
- ARM_MATH_NANINF : arm_math.h
- ARM_MATH_SINGULAR : arm_math.h
- ARM_MATH_SIZE_MISMATCH : arm_math.h
- ARM_MATH_SUCCESS : arm_math.h
- ARM_MATH_TEST_FAILURE : arm_math.h
- armBitRevIndexTable1024 : arm_common_tables.c , arm_common_tables.h
- ARMBITREVINDEXTABLE1024_TABLE_LENGTH : arm_common_tables.h
- armBitRevIndexTable128 : arm_common_tables.c , arm_common_tables.h
- armBitRevIndexTable16 : arm_common_tables.c , arm_common_tables.h
- armBitRevIndexTable2048 : arm_common_tables.c , arm_common_tables.h
- ARMBITREVINDEXTABLE2048_TABLE_LENGTH : arm_common_tables.h
- armBitRevIndexTable256 : arm_common_tables.c , arm_common_tables.h
- armBitRevIndexTable32 : arm_common_tables.c , arm_common_tables.h
- armBitRevIndexTable4096 : arm_common_tables.c , arm_common_tables.h
- ARMBITREVINDEXTABLE4096_TABLE_LENGTH : arm_common_tables.h
- armBitRevIndexTable512 : arm_common_tables.c , arm_common_tables.h
- armBitRevIndexTable64 : arm_common_tables.c , arm_common_tables.h
- ARMBITREVINDEXTABLE_128_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_256_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_512_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE__16_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE__32_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE__64_TABLE_LENGTH : arm_common_tables.h
- armBitRevIndexTable_fixed_1024 : arm_common_tables.c , arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_1024_TABLE_LENGTH : arm_common_tables.h
- armBitRevIndexTable_fixed_128 : arm_common_tables.c , arm_common_tables.h
- armBitRevIndexTable_fixed_16 : arm_common_tables.c , arm_common_tables.h
- armBitRevIndexTable_fixed_2048 : arm_common_tables.c , arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED_2048_TABLE_LENGTH : arm_common_tables.h
- armBitRevIndexTable_fixed_256 : arm_common_tables.h , arm_common_tables.c
- armBitRevIndexTable_fixed_32 : arm_common_tables.h , arm_common_tables.c
- armBitRevIndexTable_fixed_4096 : arm_common_tables.h , arm_common_tables.c
- ARMBITREVINDEXTABLE_FIXED_4096_TABLE_LENGTH : arm_common_tables.h
- armBitRevIndexTable_fixed_512 : arm_common_tables.c , arm_common_tables.h
- armBitRevIndexTable_fixed_64 : arm_common_tables.c , arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED__128_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED__256_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED__512_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED___16_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED___32_TABLE_LENGTH : arm_common_tables.h
- ARMBITREVINDEXTABLE_FIXED___64_TABLE_LENGTH : arm_common_tables.h
- armBitRevTable : arm_common_tables.h , arm_common_tables.c
- armRecipTableQ15 : arm_common_tables.c , arm_common_tables.h
- armRecipTableQ31 : arm_common_tables.c , arm_common_tables.h
- AT_f32 : arm_matrix_example_f32.c
- ATMA_f32 : arm_matrix_example_f32.c
- ATMAI_f32 : arm_matrix_example_f32.c
- AxB : GCC/arm_convolution_example_f32.c , ARM/arm_convolution_example_f32.c